Subject: Re: [manet] Find Sender of Route Reply

From: Henning Rogge <[email-masked]>
Date: Sun, 8 Nov 2015 18:07:31 +0100

Hi,

a malicious node could easily pretend to be a different node... or try
to "frame" a different node further away.

Without a source-specific signature, how do you want to be sure that a
data field is reliable?

Henning Rogge

On Fri, Oct 16, 2015 at 11:28 AM, Ahmad Haghighi
<[email-masked]> wrote:
> Hello
> I'm working on MANET security and Blackhole/Grayhole detection.
> I have a question, so please help me, or  If you have little time and so
> can't answer me, please refer me to some people or book for finding my
> answer. my question is:
> In MANET (with DSR or AODV) when a Route Reply (RREP) packet received by the
> source node, the source node can not be sure who is the sender of RREP, (it
> is a assumption in all papers) so source node (the node which initiated
> Route Discovery) should do some operations for detecting exact address of
> Malicious node (sender of malicious RREP).
> But e.g. in DSR Header we have a "Source Address" field which carries
> address of sender. or also in IP header of ADOV RREP.
> I don't understand why source node is *not sure* about identity of sender of
> RREP?
> I don't know the reason of above assumption.
>
> Let me explain my question more oblivious.
> Source node, receive a malicious RREP, the source node use it's path for
> sending packets. As expected Malicious node drops all packets.
> Ok.
> Now we want to find malicious node (sender of RREP), If value of "Source
> Address" Was reliable, we be able to easily find malicious node (sender of
> RREP).
> But in all papers, authors employs some mechanisms for detecting malicious
> node (sender of RREP). so we can conclude value of "Source address" field is
> not reliable.
> My question is, why? why source node can not use this field for detecting
> and removing malicious node?
> One answer is because of IP Spoofing i.e malicious node can use another
> address as source address
> but this not the only reason, I need to find another reason for that
>
> I hardly need the answer.
> So please guide me
> Thanks
>
>
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>